//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ADG_Assistance.DB
{
    using System;
    using System.Collections.Generic;
    
    public partial class BonIntervention
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public BonIntervention()
        {
            this.LigneIntervention = new HashSet<LigneIntervention>();
        }
    
        public int Id { get; set; }
        public string NumeroBon { get; set; }
        public System.DateTime Date { get; set; }
        public string Interlocuteur { get; set; }
        public Nullable<int> IdContrat { get; set; }
        public int IdClient { get; set; }
        public bool HorsContrat { get; set; }
    
        public virtual Client Client { get; set; }
        public virtual Contrat Contrat { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<LigneIntervention> LigneIntervention { get; set; }
    }
}
